//---------------------------------------------------------
// RG Basic Tools Collection
// Copyright © 2003 - 2008 Ronald D. Grindle
//---------------------------------------------------------
package com.qanavigation.Basics;

import java.util.ArrayList;

/**
 * 
 * @author rdgm2
 *
 */
public class ToolsBase
{

	/**
	 * 
	 */
	public ToolsBase() {

	}

	/**
	 * 
	 * @param res
	 */
	public static void handleErrors( IRslt res ) {

		if( res.notOK() ) {

			int i, x;

			ArrayList<String> addInfo;

			println( "Status: " + res.getRsltStatVal() );

			println( "Last Message: " + res.getRsltFinalMsg() );

			addInfo = res.getRsltAddInfo();

			x = addInfo.size();

			if( x > 0 ) {

				println( "Messages:" );
			}

			for( i = 0; i < x; ++i ) {

				println( addInfo.get( i ) );
			}
		}
	}

	/**
	 * 
	 * @param a
	 */
	public static void print( String a ) {

		System.out.print(  a );
	}

	/**
	 * 
	 * @param a
	 */
	public static void println( String a ) {

		System.out.println( a );
	}
}

